Excluded the fxavcodecplugin libraries used by JavaFX from the dependency calculation...
authorEmmanuel Bourg <ebourg@apache.org>
Fri, 30 Aug 2013 23:18:43 +0000 (01:18 +0200)
committerEmmanuel Bourg <ebourg@apache.org>
Fri, 30 Aug 2013 23:18:43 +0000 (01:18 +0200)
debian/changelog
lib/javase.sh

index 0dc86f4..1c37974 100644 (file)
@@ -3,6 +3,8 @@ java-package (0.53) UNRELEASED; urgency=low
   * Team upload.
   * Added support for early access releases (Closes: #721136)
   * Added support for GA and FCS releases
+  * Excluded the fxavcodecplugin libraries used by JavaFX from the dependency
+    calculation performed by dh_shlibdeps to avoid errors (Closes: #687075)
   * Updated the package description and debian/README.Debian:
     - no longer recommend openjdk-6
     - mention the compatibility with Java 8
index a98a915..8e0d0f5 100644 (file)
@@ -221,7 +221,7 @@ j2se_build() {
         fi
     done
     # suppress some warnings
-    dh_shlibdeps -l"$ldpath" 2>&1 | 
+    dh_shlibdeps --exclude=fxavcodecplugin -l"$ldpath" 2>&1 |
     { grep -v "warning: format of \`NEEDED lib.*\.so' not recognized" >&2 || true; }
     echo "    dh_gencontrol"
     dh_gencontrol